creates a tenant
curl --request POST \
--url https://api.example.com/v2/databases/{database}/tenants \
--header 'Content-Type: application/json' \
--cookie nile-auth.session-token= \
--data '
{
"name": "My Sandbox"
}
'import requests
url = "https://api.example.com/v2/databases/{database}/tenants"
payload = { "name": "My Sandbox" }
headers = {
"cookie": "nile-auth.session-token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'nile-auth.session-token=', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Sandbox'})
};
fetch('https://api.example.com/v2/databases/{database}/tenants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>"
}"<string>"This response has no body data.This response has no body data.tenants
creates a tenant
makes a tenant, assigns user to that tenant
POST
/
v2
/
databases
/
{database}
/
tenants
creates a tenant
Authorizations
Session token stored in a cookie after user signs in, prefixed with __Secure if on https
Path Parameters
Body
application/json
A wrapper for the tenant name.
Was this page helpful?
⌘I